Loading...
Searching...
No Matches
Magick::opaqueImage Class Reference

## Public Member Functions

| opaqueImage (const Color &opaqueColor_, const Color &penColor_)
void | operator() (Image &image_) const

## Private Attributes

Color | _opaqueColor
Color | _penColor

## Detailed Description

Definition at line 817 of file STL.h.

## Constructor & Destructor Documentation

## opaqueImage()

Magick::opaqueImage::opaqueImage | ( | const Color & | opaqueColor_,
|  | const Color & | penColor_
| ) |  |

Definition at line 756 of file STL.cpp.

: _opaqueColor( opaqueColor_ ),
_penColor( penColor_ )
{
}

## Member Function Documentation

## operator()()

void Magick::opaqueImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 762 of file STL.cpp.

{
image_.opaque( _opaqueColor, _penColor );
}

## Field Documentation

## _opaqueColor

Color Magick::opaqueImage::_opaqueColor

private

Definition at line 826 of file STL.h.

## _penColor

Color Magick::opaqueImage::_penColor

private

Definition at line 827 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp